var mysql = require('mysql');

var mysql_conn = mysql.createConnection({
    host: '127.0.0.1',
    user: 'root',
    password: '',
    database: 'db'
});
console.log('start before mysql');
var query = mysql_conn.query('SELECT * FROM table_test');
query
  .on('error', function(err) {
    // Handle error, an 'end' event will be emitted after this as well
  })
  .on('result', function(row) {
    // Pausing the connnection is useful if your processing involves I/O
    mysql_conn.pause();
    
    processRow(row, function() {
      mysql_conn.resume();
    });
  })
  .on('end', function() {
    // all rows have been received
    console.log('end after mysql');
  });
function processRow(row,callback){
    console.log(row);
    callback();
}